///////////////////////////////////////////////////////////////////////////////
// FileUnknownSection.cpp
// Paul Wilson
// Oxford Metrics, May 2000
///////////////////////////////////////////////////////////////////////////////

#include "FileUnknownSection.h"
#include <cassert>

VFileUnknownSection::VFileUnknownSection(SLONG a_Len, std::string a_strName, BYTE * a_RawData) 
: VFileSection(a_Len, a_strName)
{
	assert(a_RawData != NULL);

	m_RawData = a_RawData;
}


VFileUnknownSection::~VFileUnknownSection()
{
	delete [] m_RawData;
}

SLONG VFileUnknownSection::GetDataLength()
{
	return VFileSection::GetLength();
}

